Bug 189771 - RFE: Pup's UI is just way too dumbed-down
RFE: Pup's UI is just way too dumbed-down
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-04-24 11:13 EDT by Andre Robatino
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-09 15:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2006-04-24 11:13:51 EDT
Description of problem:
  Pup's UI gives far too little information.  It doesn't show package sizes, or
which repo each package comes from (which can be important to know).  Running
"yum update" shows all this information, so I know it's available.  And I think
it shouldn't be necessary to select a particular package and click on Details to
see the package version.  There's more than enough space to show all this info
simultaneously, as up2date purported to (though the package size functionality
was broken the last few years).

Version-Release number of selected component (if applicable):
pirut-1.0.1-1 (Why does Bugzilla list Pup separately, when /usr/bin/pup belongs
to the pirut package?)
Comment 1 Andre Robatino 2006-04-24 11:16:27 EDT
  BTW, I submitted this bug as "enhancement".  I have no idea why it was labeled
"urgent", or why "enhancement" no longer appears as an option.
Comment 2 Andrew D. Stadler 2006-05-22 17:24:54 EDT
I was about to submit the same bug with a nicer title, but I must agree, "way too dumbed down" hits the 
nail on the head.  I understand that, architecturally, you needed to move away from up2date, but you 
took a big step backwards in the UI.

My specific requests.

(a)  Table list that includes size, installed version, and available version
(b)  Select all / deselect all
(c)  Permanent ignore list


(d)  Show some sort of release note or urgency level (e.g. "exploit patch") per entry
(e)  A replacement for the little RHN menu throbber that tells you how many updates are available, 
without having to launch PUP.

Comment 3 Stefan Geuns 2006-09-02 06:27:09 EDT
Agreed with the above.

Maybe it is nice to have an option to list updates per group, like pirut does 
too so you can update for example the base packages but not gnome.
Comment 4 Jeremy Katz 2006-09-11 18:13:15 EDT
With FC6, there will be a lot more information available about the updates based
on the update metadata
Comment 5 Andre Robatino 2006-10-31 08:58:53 EST
  When I ran pup in FC6, it looks exactly the same as in FC5.  Am I missing
Comment 6 Jeremy Katz 2006-11-06 14:36:48 EST
If you look at packages which are actual FC6 updates, then the associated
metadata (ie, the update announcement) gets shown
Comment 7 Andre Robatino 2006-11-06 14:42:02 EST
  What about all the useful information (repository, package sizes) available
when running command-line yum, and which was originally available with up2date
(before it broke)?  This information is available for ALL updates, and there's
no reason why pup can't display it.
Comment 8 chris 2006-12-13 05:27:14 EST
Another respect in which the UI lacks info is that it doesn't seem to inform the
user when config files have been renamed or replaced.  rpm/yum both give the
visual warning "<somefile> saved as <somefile>.rpmsave" or "created as
<somefile>.rpmnew", but pup doesn't do this.

This means the user needs to do an rpm -V before hitting the "update" button in
pup, and then check the files flagged up after the update has completed.

Comment 9 Jeremy Katz 2007-04-09 15:38:50 EDT
We're very intentionally *not* trying to show every single thing that gets shown
on the command line because this isn't a tool for command line users.  It's a
tool that's targeted at a user who doesn't want to be overwhelmed with details
and prefers to instead use their computer as a tool.

The update metadata in FC6 and later is basically what we're going to be
showing.  Extras should also be gaining this metadata in the near future as we
converge buildsystems, etc for Fedora 7

Note You need to log in before you can comment on or make changes to this bug.